### iOS9 : 팝업창에서 앱 로드 이슈

        페이지(1) 로드 -> 팝업(2) 로드 -> 팝업(2)에서 버튼 클릭 -> iOS scheme을 통해 앱 로드
        기존 페이지(1)은 유지됨.
        팝업(2)가 닫혀버림.

* iOS9에서 위의 이슈 확인
* 팝업에서 앱을 로드하고싶은 경우
  * `<a>`태그의 `href`속성에 iOS scheme를 셋팅
  * 또는 버튼 클릭시 이벤트에서 `window.open(iOS scheme);`을 통해 또다른 팝업(3)을 호출
* 참고
  * **팝업에서의 로드가 아닌 경우는 기존 페이지는 그대로 유지됨.**

### 안드로이드 : Chrome에서 페이지 로드 후 사용자 액션 없이 바로 앱 로드 이슈

        페이지(1) 로드 -> 사용자 액션 없이 바로 intentURI을 통해 앱을 로드
        기존 페이지(1)이 팝업일 경우 팝업이 닫히고, 일반 바닥-페이지의 경우 history back현상 발생함.

* 삼성브라우저 Chromium(34)
  * 페이지 로드에서 바로 앱을 로드 -> 기존 페이지는 사라지거나 뒤로 돌아가지 않음
* 최신 크롬
  * 페이지 로드에서 바로 앱을 로드 -> 기존 페이지가 사라지거나 뒤로 돌아감
* 결론
  * `버튼 클릭 -> 앱 로드` 순서로 가면 둘다 기존 페이지 유지됨.
* 참고
  * iOS는 기존 페이지가 그대로 남아있음.
